atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper The interface implemented for UI components which contain tabular or row/column information.

should be implemented by components which present elements ordered via rows and columns. It may also be used to present tree-structured information if the nodes of the trees can be said to contain multiple "columns". Individual elements of an are typically referred to as "cells", and these cells are exposed by as child s of the . Both row/column and child-index-based access to these children is provided.

Children of are frequently "lightweight" objects, that is, they may not have backing widgets in the host UI toolkit. They are therefore often transient.

Since tables are often very complex, includes provision for offering simplified summary information, as well as row and column headers and captions. Headers and captions are s which may implement other interfaces (, , etc.) as appropriate. summaries may themselves be (simplified) s, etc.

- Method
  2.12.0.0
  System.Boolean `` To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added
- Method
  2.12.0.0
  System.Boolean `` To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added
- Property
  2.12.0.0
  Atk.Object To be added To be added: an object of type 'Atk.Object' To be added
- Event
  2.12.0.0
  Atk.ColumnDeletedHandler To be added To be added
- Event
  2.12.0.0
  Atk.ColumnInsertedHandler To be added To be added
- Event
  2.12.0.0
  System.EventHandler To be added To be added
- Method
  2.12.0.0
  System.Int32 `` a To be added a To be added
- Method
  2.12.0.0
  System.String `` To be added: an object of type 'int' To be added To be added: an object of type 'string' To be added
- Method
  2.12.0.0
  System.Int32 `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'int' To be added
- Method
  2.12.0.0
  Atk.Object `` To be added: an object of type 'int' To be added To be added: an object of type 'Atk.Object' To be added
- Method
  2.12.0.0
  System.Int32 `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'int' To be added
- Method
  2.12.0.0
  System.Int32 `` a To be added a To be added
- Method
  2.12.0.0
  System.String `` To be added: an object of type 'int' To be added To be added: an object of type 'string' To be added
- Method
  2.12.0.0
  System.Int32 `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'int' To be added
- Method
  2.12.0.0
  Atk.Object `` To be added: an object of type 'int' To be added To be added: an object of type 'Atk.Object' To be added
- Method
  System.Int32 `` To be added a a To be added
- Method
  System.Int32 `` To be added a a To be added
- Method
  2.12.0.0
  System.Boolean `` To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added
- Method
  2.12.0.0
  System.Boolean `` To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added
- Method
  2.12.0.0
  System.Boolean `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added
- Event
  2.12.0.0
  System.EventHandler To be added To be added
- Property
  2.12.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Property
  2.12.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  2.12.0.0
  Atk.Object `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'Atk.Object' To be added
- Method
  2.12.0.0
  System.Boolean `` To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added
- Method
  2.12.0.0
  System.Boolean `` To be added: an object of type 'int' To be added To be added: an object of type 'bool' To be added
- Event
  2.12.0.0
  Atk.RowDeletedHandler To be added To be added
- Event
  2.12.0.0
  Atk.RowInsertedHandler To be added To be added
- Event
  2.12.0.0
  System.EventHandler To be added To be added
- Property
  2.12.0.0
  System.Int32[] To be added. To be added. To be added.
- Property
  2.12.0.0
  System.Int32[] To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'string' To be added To be added
- Method
  2.12.0.0
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'Atk.Object' To be added To be added
- Method
  2.12.0.0
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'string' To be added To be added
- Method
  2.12.0.0
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'Atk.Object' To be added To be added
- Property
  2.12.0.0
  Atk.Object To be added To be added: an object of type 'Atk.Object' To be added